Subject: Warning: overflow in implicit....
From: [email-masked] (Tom Stokes)

23 Apr 1998 08:18:25 -0700
Message-ID: <000101bd6e7c$c6f3abe0$d646aace.cygnus.gnu-win32@default>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "gnu-win32" <[email-masked]>

I am getting this message in the declaration and initialization of a static
structure:

    Warning: overflow in implicit constant expression.

What does it mean?
The following is cut and paste:

typedef struct INITCON {
           HWND  hwnd;
           int   x;
           int   y;
           int   cx;
           int   cy;
           int   state;
           char  txt[24];
           int   id;
           } INITCON, *PINITCON;

                                    // hwnd  x    y    cx   cy state txt  id
INITCON BackBtn        = {0,    5,  30,   32,  22, 0,  0, IDBT_BACK};
......
// (yes, these are initial window states)

There are a total of 21 such declarations. The warning occurs only once and
usually at
about the 17th decl. I am suspicious it is more than a warning because there
are some
things that are badly messed up. For example, getting the ID from the window
words
often returns 0 (something that is nonsensical). i.e.

    id = GetWindowLong(hwnd, GWL_ID);     // WIN32 system call

I am on a WIN95 box using MINGW32 and EGCS 1.0.2
TIA

            Tom Stokes

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".